> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a conversation thread

> Creates a conversation thread. Use this to manage threads explicitly, rather
than letting one be created by passing `thread` on an inference call.



## OpenAPI

````yaml /api-reference/openapi.json post /recall/threads
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /recall/threads:
    post:
      tags:
        - Recall
      summary: Create a conversation thread
      description: >-
        Creates a conversation thread. Use this to manage threads explicitly,
        rather

        than letting one be created by passing `thread` on an inference call.
      operationId: v1.recall.threads.store
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                required:
                  - id
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````